OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureStorage

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureStorage :: MonadIO m => m Bool
- gl_ARB_texture_storage :: Bool
- gl_TEXTURE_IMMUTABLE_FORMAT :: GLenum
- glTexStorage1D :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> m ()
- glTexStorage2D :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTexStorage3D :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBTextureStorage :: MonadIO m => m Bool

Is the ARB_texture_storage extension supported?

gl_ARB_texture_storage :: Bool

Is the ARB_texture_storage extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureStorage` in those cases instead.

# Enums

gl_TEXTURE_IMMUTABLE_FORMAT :: GLenum

# Functions

glTexStorage1D

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `levels`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 4.x.

glTexStorage2D

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `levels`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glTexStorage3D

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `levels`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

Manual page for OpenGL 4.x.